package com.qmth.distributed.print.api.mark;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.util.Result;
import com.qmth.teachcloud.common.util.ResultUtil;
import com.qmth.teachcloud.mark.bean.archivescore.ArchiveScoreQuery;
import com.qmth.teachcloud.mark.service.MarkPaperService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 * 成绩管理 前端控制器
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@Api(tags = "成绩管理")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_MARK + "/archive")
public class MarkArchiveController {

	@Autowired
	private MarkPaperService markPaperService;
	
	
    @ApiOperation(value = "成绩管理列表")
    @RequestMapping(value = "score/list", method = RequestMethod.POST)
    public Result scoreList(@Validated ArchiveScoreQuery query) {
        return ResultUtil.ok(markPaperService.scoreList(query));
    }
}
